mui.init({
				swipeBack:true,
				  pullRefresh : {
				    container:'#pullrefresh',//待刷新区域标识，querySelector能定位的css选择器均可，比如：id、.class等
				    up : {
				      height:50,//可选.默认50.触发上拉加载拖动距离
				      auto:false,//可选,默认false.自动上拉加载一次
				      contentrefresh : "正在加载...",//可选，正在加载状态时，上拉加载控件上显示的标题内容
				      contentnomore:'没有更多数据了',//可选，请求完毕若没有更多数据时显示的提醒内容；
				      callback :pullupRefresh //必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
				    }
				  }
			});
var current_page = 1;
function ajax_data(caid,page,first){
	mui.ajax(BASE_URL+'evaluate/evaluate_list_json',{
			            data:{
			                caid:caid,
			                page:page
			            },
			            dataType:'json',//服务器返回json格式数据
			            type:'get',//HTTP请求类型
			            timeout:10000,//超时时间设置为10秒；
			            headers:{'Content-Type':'application/x-www-form-urlencoded'},
			            success:function(data){
			            	plus.nativeUI.closeWaiting();
			                var table = document.body.querySelector('.article-list.mui-table-view');
			                if(data['success'] == 1 && data['data']['articles'].length > 0){
			                    var articles = data['data']['articles'];
			                    if(first){
			                    	mui('#pageCount')[0].value =  data['data']['pageCount'];
			                    	mui('#caid')[0].value = caid; 
			                    	page = page + 1;
			                    	if('nav_list' in data['data']){
						var nav_list = data['data']['nav_list'];
						var navEle = mui('.sub-header-nav.mui-bar-nav .box'),spanele='';
						mui.each(nav_list,function(i,t){
							spanele += "<span data-caid='"+t['caid']+"' class='"+(t['caid']==caid?'active':'')+"'>"+t['name']+"</span>"
						});
						document.body.querySelector('.sub-header-nav.mui-bar-nav .box').innerHTML = spanele;
					}
			                    }
			                    
			                    mui.each(articles,function(i,t){
			                        var li = document.createElement('li');
			                        li.className = 'mui-table-view-cell mui-media';
			                        var cname = '',cClass='';
			                        if(t.caid == 804){
			                            cname = '动态评测';
			                            cClass ='mui-badge-primary'
			                        }else if (t.caid == 803){
			                            cname = '静态评测';
			                            cClass ='mui-badge-danger'
			                        }else if (t.caid == 805){
			                            cname = '对比点评';
			                            cClass ='mui-badge-purple'
			                        }
			                        li.innerHTML = '<a  data-param="aid:'+t['aid']+'" title="'+t['subject']+'" href="detail.html?aid='+t['aid']+'">'+
			                            '<img class="mui-media-object mui-pull-left" src="'+IMAGES_URL +t['thumb']+'?x-oss-process=image/resize,m_fixed,h_180,w_270" alt="'+t['subject']+'"/>'+
			                            '<div class="artcil-item-con mui-media-body">'+
			                            '<p class="text-dark font-size1 ">'+t['subject']+'</p>'+
			                            '<p class="article-item-bottom">'+
			                            '<span class="mui-badge font-size2 '+cClass+'">'+cname+'</span>'+
			
			                            '<span class="article-author font-size2">作者:'+t['author']+'</span>'+
			                            '<span class="article-timer font-size2">'+getLocalTime(t['createdate'])+'</span>'+
			                            '</p>'+
			                            '</div>'+
			                            '</a>';
			                        table.appendChild(li);
			                    })
			                }
			                current_page += 1;
			            },
			            error:function(xhr,type,errorThrown){
			                //异常处理；
			               plus.nativeUI.closeWaiting();
							mui.toast("网络异常");
			            }
			        });
}

/**
 * 上拉加载具体业务实现
 */
function pullupRefresh() {
var pageCount = parseInt(mui('#pageCount')[0].value);
var caid = mui('#caid')[0].value;
    setTimeout(function() {
        mui('#pullrefresh').pullRefresh().endPullupToRefresh((current_page >=pageCount)); //参数为true代表没有更多数据了。
        console.log(BASE_URL+'article/article_list_json?caid='+caid+'&page='+current_page)
        ajax_data(caid,current_page,false)

    }, 200);
}
if(document.getElementById('search_article')){
    document.getElementById('search_article').addEventListener('focus',function(){
        mui.openWindow({
            url: 'search_evaluate.html',
            show:{
                autoShow:true,//页面loaded事件发生后自动显示，默认为true
                aniShow:'slide-in-right',//页面显示动画，默认为”slide-in-right“；
                duration:'200',//页面动画持续时间，Android平台默认100毫秒，iOS平台默认200毫秒；
                event:'titleUpdate',//页面显示时机，默认为titleUpdate事件时显示
                extras:{}//窗口动画是否使用图片加速
            },
            waiting:{
                autoShow:true,//自动显示等待框，默认为true
                title:'正在加载...'//等待对话框上显示的提示内容

            }
        });
    })
}
mui('.sub-header-nav .box').on('tap','span',function(){
                	var classNames = this.getAttribute('class');
                	
                	if(classNames){
                		return;
                	}
                	plus.nativeUI.showWaiting();
                	mui('#pullrefresh').pullRefresh().refresh(true);
                	var caid = this.getAttribute('data-caid');
                	current_page = 1;
                	document.body.querySelector('.article-list.mui-table-view').innerHTML = '';
                	if(caid == 0){
	                	linkIndex = 0;
	                }else if(caid == 804 ){
	                	linkIndex = 1
	                }else if(caid == 803 ){
	                	linkIndex = 2
	                }else if(caid == 805 ){
	                	linkIndex = 3
	                }
	                mui('.sub-header-nav span').each(function(){
	                	this.setAttribute('class','')
	                })
                	mui('.sub-header-nav span')[linkIndex].className = 'active';
                	ajax_data(caid,current_page,true)
                })
			 mui.plusReady(function(){
                 var self = plus.webview.currentWebview();
                var caid = self.caid,linkIndex = 0;
                console.log(caid)
                plus.nativeUI.showWaiting();
                ajax_data(caid,current_page,true);
//				 plus.nativeUI.closeWaiting();
//              //显示当前页面
//              mui.currentWebview.show();
            });